"""Module contains general event targets enum."""

from enum import Enum


class GeneralEventTargets(Enum):
    """Enum for general event target columns"""

    eventId = "event_id"  #: event id
    eventType = "event_type"  #: event type
    accountId = "account_id"  #: account id
    eventCreateTime = "event_create_time"  #: event create time
    eventEndTime = "event_end_time"  #: event end time
    source = "source"  #: source
    streamId = "stream_id"  #: source
    trackId = "track_id"  #: track id
    location = "location"  #: location
    event = "event"  #: event json
